Unable to install Canon i-Sensys LBP2900

Issues Related to Hardware (Sound, Video, Printers, Scanners, Webcams, Touchpads, Keyboards, Sensors, Drives, GRUB, etc.)

Moderator: Moderators

Post Reply
maccabbeo
Simple Hen
Posts: 89
Joined: Sun May 11, 2014 16:57

Unable to install Canon i-Sensys LBP2900

Post by maccabbeo » Tue May 27, 2014 18:31

Hi to all,
how could I install the drivers for such printer? Connecting the printer to my laptop is useless: the printer installation tool starts but is not able to find suitable drivers.

Here there are the deb and rpm drivers
http://www.canon.it/Support/Consumer_Pr ... e=download
What should I do now?
thanks,
regards.

Stupot
Sagely Hen
Posts: 1665
Joined: Wed Feb 14, 2007 3:44
Location: St. Louis, MO, USA

Re: Unable to install Canon i-Sensys LBP2900

Post by Stupot » Wed May 28, 2014 5:16

Edit: It looks like these might be supported by gutenprint, so just install that via entropy and see if that works.

Code: Select all

# equo install gutenprint
Old post:
From what I can tell, you should attempt to install the package cndrvcups-lb via portage (and request to have it added to entropy).

I haven't attempted to do so myself, so I can't tell you how easy it'll be, but this will give you an idea of what it's trying to do.

Code: Select all

# emerge --sync
#emerge --pretend cndrvcups-lb

maccabbeo
Simple Hen
Posts: 89
Joined: Sun May 11, 2014 16:57

Re: Unable to install Canon i-Sensys LBP2900

Post by maccabbeo » Wed May 28, 2014 9:57

Thanks, I've just been following only what you wrote in your "edit"

Code: Select all

# equo install gutenprint
but unfortunately it does not work. It seems it recognizes the printer, but I'm not able to print (either the test page or anything else in a simple text file). I also tried to reboot the printer and then reboot the pc, but it did not solve the problem. Then I also tried to enable the SendFF flag, but it did not change the situation so I disabled that flag back.
Please see the following screenshots.
What should I do?
Thanks,
regards.

http://postimg.org/image/5pqts8dxj/

http://postimg.org/image/ef49yl9wd/

http://postimg.org/image/bmb2ek9jx/

maccabbeo
Simple Hen
Posts: 89
Joined: Sun May 11, 2014 16:57

Re: Unable to install Canon i-Sensys LBP2900

Post by maccabbeo » Wed May 28, 2014 10:06

Stupot wrote:Edit: It looks like these might be supported by gutenprint, so just install that via entropy and see if that works.
How could you say that my printer is supported by gutenprint? I cannot see it in the list:
http://gimp-print.sourceforge.net/p_Sup ... inters.php

Stupot
Sagely Hen
Posts: 1665
Joined: Wed Feb 14, 2007 3:44
Location: St. Louis, MO, USA

Re: Unable to install Canon i-Sensys LBP2900

Post by Stupot » Wed May 28, 2014 15:22

maccabbeo wrote:
Stupot wrote:Edit: It looks like these might be supported by gutenprint, so just install that via entropy and see if that works.
How could you say that my printer is supported by gutenprint? I cannot see it in the list:
http://gimp-print.sourceforge.net/p_Sup ... inters.php

I didn't say it is, I said it might be. Sometimes when you pick a printer's drivers that are close to it, they will work enough for most functionality. I made no promises, and it looks like it doesn't work. But it didn't take much effort to try which is why I mentioned it in the first place.

maccabbeo
Simple Hen
Posts: 89
Joined: Sun May 11, 2014 16:57

Re: Unable to install Canon i-Sensys LBP2900

Post by maccabbeo » Thu May 29, 2014 7:36

Ok, clear :salut: Thanks anyway.
So, what should I do now?

maccabbeo
Simple Hen
Posts: 89
Joined: Sun May 11, 2014 16:57

Re: Unable to install Canon i-Sensys LBP2900

Post by maccabbeo » Sat May 31, 2014 15:40

Hi Stupot
hi you all.

Any suggestion? Should I resign me with not being able to install any of my printers (not able to install Brother DCP-145C either..) with Sabayon?
Thanks,
regards.

EDIT: https://bugs.sabayon.org/show_bug.cgi?id=4724

runswithhorses
Baby Hen
Posts: 3
Joined: Tue Jan 13, 2015 21:49

Re: Unable to install Canon i-Sensys LBP2900

Post by runswithhorses » Mon Jan 19, 2015 18:53

I have been having the same problem with my old Canon i-Sensys LBP2900. I have tried and tried in every way I can, and so far nothing. If anyone can tell me how to get this printer working on Sabayon, I would be greatly appreciative! In advance, thank you!

User avatar
Fitzcarraldo
Sagely Hen
Posts: 8097
Joined: Sat Mar 10, 2007 5:40
Location: United Kingdom
Contact:

Re: Unable to install Canon i-Sensys LBP2900

Post by Fitzcarraldo » Wed Jan 21, 2015 23:21

Apparently your old printer model uses the Canon CAPT driver for Linux, which is currently at Version 2.60:

http://www.canon-europe.com/Support/Con ... N&os=Linux

There is no ebuild for that version of the driver. I doubt it would still work, but you could try installing an earlier version of the CAPT driver via Portage from the calculate overlay, although you'll probably find that the Canon driver repository no longer contains the file the ebuild requires:

Code: Select all

# emerge --sync
# equo install git
# layman -S
# layman -a calculate
# emerge cndrvcups-capt cndrvcups-common
You could try hacking the ebuild in a local overlay to fetch the new version.

Post Reply